Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms.test
Class CompressedDataTest

    java.lang.Object
      TestCase
          org.bouncycastle.cms.test.CompressedDataTest

    public class CompressedDataTest

extends TestCase

Constructor Summary
`CompressedDataTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`static Test` `suite()`
`void` `tearDown()`
`void` `testEach()`
`void` `testLimitEqual()`
`void` `testLimitOver()`
`void` `testLimitUnder()`
`void` `testWorkingData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressedDataTest

    public CompressedDataTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static Test suite()

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### testWorkingData

    public void testWorkingData()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEach

    public void testEach()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLimitUnder

    public void testLimitUnder()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLimitOver

    public void testLimitOver()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLimitEqual

    public void testLimitEqual()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45